Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -1,20 +1,19 @@
 !> @file lagrangian_particle_model_mod.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,4 +24,7 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4629 2020-07-29 09:37:56Z raasch
 ! support for MPI Fortran77 interface (mpif.h) removed
 !
@@ -32,108 +34,106 @@
 ! 4616 2020-07-21 10:09:46Z schwenkel
 ! Bugfix in case of strechting: k-calculation limited lower bound of 1
-! 
+!
 ! 4589 2020-07-06 12:34:09Z suehring
 ! remove unused variables
-! 
+!
 ! 4588 2020-07-06 11:06:02Z suehring
 ! Simplify particle-speed interpolation in logarithmic layer
-! 
+!
 ! 4585 2020-06-30 15:05:20Z suehring
-! Limit logarithmically interpolated particle speed to the velocity component
-! at the first prognostic grid point (since no stability corrected interpolation
-! is employed the particle speed could be overestimated in unstable conditions).
-! 
+! Limit logarithmically interpolated particle speed to the velocity component at the first
+! prognostic grid point (since no stability corrected interpolation is employed the particle speed
+! could be overestimated in unstable conditions).
+!
 ! 4546 2020-05-24 12:16:41Z raasch
 ! Variables iran and iran_part completely removed, added I/O of parallel random numbers to restart
 ! file
-! 
+!
 ! 4545 2020-05-22 13:17:57Z schwenkel
 ! Using parallel random generator, thus preventing dependency of PE number
-! 
+!
 ! 4535 2020-05-15 12:07:23Z raasch
 ! bugfix for restart data format query
-! 
+!
 ! 4520 2020-05-06 08:57:19Z schwenkel
 ! Add error number
-! 
+!
 ! 4517 2020-05-03 14:29:30Z raasch
 ! restart data handling with MPI-IO added
-! 
+!
 ! 4471 2020-03-24 12:08:06Z schwenkel
 ! Bugfix in lpm_droplet_interactions_ptq
-! 
+!
 ! 4457 2020-03-11 14:20:43Z raasch
 ! use statement for exchange horiz added
-! 
+!
 ! 4444 2020-03-05 15:59:50Z raasch
 ! bugfix: cpp-directives for serial mode added
-! 
+!
 ! 4430 2020-02-27 18:02:20Z suehring
-! - Bugfix in logarithmic interpolation of near-ground particle speed (density
-!   was not considered).
+! - Bugfix in logarithmic interpolation of near-ground particle speed (density was not considered).
 ! - Revise CFL-check when SGS particle speeds are considered.
-! - In nested case with SGS particle speeds in the child domain, do not give 
-!   warning that particles are on domain boundaries. At the end of the particle
-!   time integration these will be transferred to the parent domain anyhow.
-! 
+! - In nested case with SGS particle speeds in the child domain, do not give warning that particles
+!   are on domain boundaries. At the end of the particle time integration these will be transferred
+!   to the parent domain anyhow.
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4336 2019-12-13 10:12:05Z raasch
-! bugfix: wrong header output of particle group features (density ratio) in case
-! of restarts corrected
-! 
+! bugfix: wrong header output of particle group features (density ratio) in case of restarts
+!         corrected
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4282 2019-10-29 16:18:46Z schwenkel
 ! Bugfix of particle timeseries in case of more than one particle group
-! 
+!
 ! 4277 2019-10-28 16:53:23Z schwenkel
 ! Bugfix: Added first_call_lpm in use statement
-! 
+!
 ! 4276 2019-10-28 16:03:29Z schwenkel
 ! Modularize lpm: Move conditions in time intergration to module
-! 
+!
 ! 4275 2019-10-28 15:34:55Z schwenkel
-! Change call of simple predictor corrector method, i.e. two divergence free
-! velocitiy fields are now used.
+! Change call of simple predictor corrector method, i.e. two divergence free velocitiy fields are
+! now used.
 !
 ! 4232 2019-09-20 09:34:22Z knoop
 ! Removed INCLUDE "mpif.h", as it is not needed because of USE pegrid
-! 
+!
 ! 4195 2019-08-28 13:44:27Z schwenkel
-! Bugfix for simple_corrector interpolation method in case of ocean runs and
-! output particle advection interpolation method into header
-! 
+! Bugfix for simple_corrector interpolation method in case of ocean runs and output particle
+! advection interpolation method into header
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 4168 2019-08-16 13:50:17Z suehring
 ! Replace function get_topography_top_index by topo_top_ind
-! 
+!
 ! 4145 2019-08-06 09:55:22Z schwenkel
 ! Some reformatting
-! 
+!
 ! 4144 2019-08-06 09:11:47Z raasch
 ! relational operators .EQ., .NE., etc. replaced by ==, /=, etc.
-! 
+!
 ! 4143 2019-08-05 15:14:53Z schwenkel
 ! Rename variable and change select case to if statement
-! 
+!
 ! 4122 2019-07-26 13:11:56Z schwenkel
 ! Implement reset method as bottom boundary condition
-! 
+!
 ! 4121 2019-07-26 10:01:22Z schwenkel
-! Implementation of an simple method for interpolating the velocities to
-! particle position
-! 
+! Implementation of an simple method for interpolating the velocities to particle position
+!
 ! 4114 2019-07-23 14:09:27Z schwenkel
 ! Bugfix: Added working precision for if statement
-! 
+!
 ! 4054 2019-06-27 07:42:18Z raasch
 ! bugfix for calculating the minimum particle time step
-! 
+!
 ! 4044 2019-06-19 12:28:27Z schwenkel
 ! Bugfix in case of grid strecting: corrected calculation of k-Index
@@ -141,20 +141,20 @@
 ! 4043 2019-06-18 16:59:00Z schwenkel
 ! Remove min_nr_particle, Add lpm_droplet_interactions_ptq into module
-! 
+!
 ! 4028 2019-06-13 12:21:37Z schwenkel
 ! Further modularization of particle code components
-! 
+!
 ! 4020 2019-06-06 14:57:48Z schwenkel
-! Removing submodules 
-! 
+! Removing submodules
+!
 ! 4018 2019-06-06 13:41:50Z eckhard
 ! Bugfix for former revision
-! 
+!
 ! 4017 2019-06-06 12:16:46Z schwenkel
 ! Modularization of all lagrangian particle model code components
-! 
-! 3655 2019-01-07 16:51:22Z knoop 
-! bugfix to guarantee correct particle releases in case that the release
-! interval is smaller than the model timestep
+!
+! 3655 2019-01-07 16:51:22Z knoop
+! bugfix to guarantee correct particle releases in case that the release interval is smaller than
+! the model timestep
 !
 ! Revision 1.1  1999/11/25 16:16:06  raasch
@@ -164,8 +164,7 @@
 ! Description:
 ! ------------
-!> The embedded LPM allows for studying transport and dispersion processes within
-!> turbulent flows. This model including passive particles that do not show any
-!> feedback on the turbulent flow. Further also particles with inertia and
-!> cloud droplets ca be simulated explicitly.
+!> The embedded LPM allows for studying transport and dispersion processes within turbulent flows.
+!> This model is including passive particles that do not show any feedback on the turbulent flow.
+!> Further also particles with inertia and cloud droplets can be simulated explicitly.
 !>
 !> @todo test lcm
@@ -173,44 +172,36 @@
 !> @note <Enter notes on the module>
 !> @bug  <Enter bug on the module>
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  MODULE lagrangian_particle_model_mod
 
     USE, INTRINSIC ::  ISO_C_BINDING
 
-    USE arrays_3d,                                                             &
-        ONLY:  de_dx, de_dy, de_dz,                                            &
-               d_exner,                                                        &
-               dzw, zu, zw,  ql_c, ql_v, ql_vp, hyp,                           &
-               pt, q, exner, ql, diss, e, u, v, w, km, ql_1, ql_2
- 
-    USE averaging,                                                             &
-        ONLY:  ql_c_av, pr_av, pc_av, ql_vp_av, ql_v_av
-
-    USE basic_constants_and_equations_mod,                                     &
-        ONLY: molecular_weight_of_solute, molecular_weight_of_water, magnus,   &
-              pi, rd_d_rv, rho_l, r_v, rho_s, vanthoff, l_v, kappa, g, lv_d_cp
-
-    USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r, bc_dirichlet_s, &
-               child_domain,                                                   &
-               cloud_droplets, constant_flux_layer, current_timestep_number,   &
-               dt_3d, dt_3d_reached, debug_output, first_call_lpm, humidity,   &
-               dt_3d_reached_l, dt_dopts, dz, initializing_actions,            &
-               intermediate_timestep_count, intermediate_timestep_count_max,   &
-               message_string, molecular_viscosity, ocean_mode,                &
-               particle_maximum_age, restart_data_format_input,                &
-               restart_data_format_output,                                     &
-               simulated_time, topography, dopts_time_count,                   &
-               time_since_reference_point, rho_surface, u_gtrans, v_gtrans,    &
-               dz_stretch_level, dz_stretch_level_start
-
-    USE cpulog,                                                                &
+    USE arrays_3d,                                                                                 &
+        ONLY:  d_exner, de_dx, de_dy, de_dz, diss, dzw, e, exner, hyp, km, pt, q, ql, ql_1, ql_2,  &
+               ql_c, ql_v, ql_vp, u, v, w, zu, zw
+
+    USE averaging,                                                                                 &
+        ONLY:  pc_av, pr_av, ql_c_av, ql_v_av, ql_vp_av
+
+    USE basic_constants_and_equations_mod,                                                         &
+        ONLY:  g, kappa, l_v, lv_d_cp, magnus, molecular_weight_of_solute,                         &
+               molecular_weight_of_water, pi, r_v, rd_d_rv, rho_l, rho_s, vanthoff
+
+    USE control_parameters,                                                                        &
+        ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r, bc_dirichlet_s,                     &
+               child_domain, cloud_droplets, constant_flux_layer, current_timestep_number,         &
+               debug_output, dopts_time_count, dt_3d, dt_3d_reached, dt_3d_reached_l, dt_dopts, dz,&
+               dz_stretch_level, dz_stretch_level_start, first_call_lpm, humidity,                 &
+               initializing_actions, intermediate_timestep_count, intermediate_timestep_count_max, &
+               message_string, molecular_viscosity, ocean_mode, particle_maximum_age,              &
+               restart_data_format_input, restart_data_format_output, rho_surface, simulated_time, &
+               time_since_reference_point, topography, u_gtrans, v_gtrans
+
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point, log_point_s
 
-    USE indices,                                                               &
-        ONLY:  nx, nxl, nxlg, nxrg, nxr, ny, nyn, nys, nyng, nysg, nz, nzb,    &
-               nzb_max, nzt,nbgp, ngp_2dh_outer,                               &
-               topo_top_ind,                                                   &
-               wall_flags_total_0
+    USE indices,                                                                                   &
+        ONLY:  nbgp, ngp_2dh_outer, nx, nxl, nxlg, nxrg, nxr, ny, nyn, nys, nyng, nysg, nz, nzb,   &
+               nzb_max, nzt, topo_top_ind, wall_flags_total_0
 
     USE kinds
@@ -221,50 +212,48 @@
 
 #if defined( __parallel )
-    USE pmc_particle_interface,                                                &
-        ONLY: pmcp_c_get_particle_from_parent, pmcp_p_fill_particle_win,       &
-              pmcp_c_send_particle_to_parent, pmcp_p_empty_particle_win,       &
-              pmcp_p_delete_particles_in_fine_grid_area, pmcp_g_init,          &
-              pmcp_g_print_number_of_particles
+    USE pmc_particle_interface,                                                                    &
+        ONLY: pmcp_c_get_particle_from_parent, pmcp_c_send_particle_to_parent, pmcp_g_init,        &
+              pmcp_g_print_number_of_particles, pmcp_p_delete_particles_in_fine_grid_area,         &
+              pmcp_p_empty_particle_win, pmcp_p_fill_particle_win
 #endif
 
-    USE pmc_interface,                                                         &
+    USE pmc_interface,                                                                             &
         ONLY: nested_run
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  ddx, dx, ddy, dy
 
-    USE netcdf_interface,                                                      &
-        ONLY:  netcdf_data_format, netcdf_deflate, dopts_num, id_set_pts,      &
-               id_var_dopts, id_var_time_pts, nc_stat,                         &
-               netcdf_handle_error
-
-    USE random_generator_parallel,                                             &
-        ONLY:  init_parallel_random_generator,                                 &
-               random_dummy,                                                   &
-               random_number_parallel,                                         &
-               random_number_parallel_gauss,                                   &
-               random_seed_parallel,                                           &
-               id_random_array
-
-    USE restart_data_mpi_io_mod,                                               &
-        ONLY:  rd_mpi_io_check_array,                                          &
-               rd_mpi_io_check_open,                                           &
-               rd_mpi_io_close,                                                &
-               rd_mpi_io_open,                                                 &
-               rd_mpi_io_particle_filetypes,                                   &
-               rrd_mpi_io,                                                     &
-               rrd_mpi_io_global_array,                                        &
-               rrd_mpi_io_particles,                                           &
-               wrd_mpi_io,                                                     &
-               wrd_mpi_io_global_array,                                        &
+    USE netcdf_interface,                                                                          &
+        ONLY:  dopts_num, id_set_pts, id_var_dopts, id_var_time_pts, nc_stat, netcdf_data_format,  &
+               netcdf_deflate, netcdf_handle_error
+
+    USE random_generator_parallel,                                                                 &
+        ONLY:  init_parallel_random_generator,                                                     &
+               id_random_array,                                                                    &
+               random_dummy,                                                                       &
+               random_number_parallel,                                                             &
+               random_number_parallel_gauss,                                                       &
+               random_seed_parallel
+
+    USE restart_data_mpi_io_mod,                                                                   &
+        ONLY:  rd_mpi_io_check_array,                                                              &
+               rd_mpi_io_check_open,                                                               &
+               rd_mpi_io_close,                                                                    &
+               rd_mpi_io_open,                                                                     &
+               rd_mpi_io_particle_filetypes,                                                       &
+               rrd_mpi_io,                                                                         &
+               rrd_mpi_io_global_array,                                                            &
+               rrd_mpi_io_particles,                                                               &
+               wrd_mpi_io,                                                                         &
+               wrd_mpi_io_global_array,                                                            &
                wrd_mpi_io_particles
 
-    USE statistics,                                                            &
+    USE statistics,                                                                                &
         ONLY:  hom
 
-    USE surface_mod,                                                           &
-        ONLY:  bc_h,                                                           &
-               surf_def_h,                                                     &
-               surf_lsm_h,                                                     &
+    USE surface_mod,                                                                               &
+        ONLY:  bc_h,                                                                               &
+               surf_def_h,                                                                         &
+               surf_lsm_h,                                                                         &
                surf_usm_h
 
@@ -283,9 +272,15 @@
     IMPLICIT NONE
 
+    INTEGER(iwp), PARAMETER         ::  nr_2_direction_move = 10000 !<
+    INTEGER(iwp), PARAMETER         ::  phase_init    = 1           !<
+    INTEGER(iwp), PARAMETER, PUBLIC ::  phase_release = 2           !<
+
+    REAL(wp), PARAMETER ::  c_0 = 3.0_wp         !< parameter for lagrangian timescale
+
     CHARACTER(LEN=15) ::  aero_species = 'nacl'                   !< aerosol species
     CHARACTER(LEN=15) ::  aero_type    = 'maritime'               !< aerosol type
+    CHARACTER(LEN=15) ::  bc_par_b     = 'reflect'                !< bottom boundary condition
     CHARACTER(LEN=15) ::  bc_par_lr    = 'cyclic'                 !< left/right boundary condition
     CHARACTER(LEN=15) ::  bc_par_ns    = 'cyclic'                 !< north/south boundary condition
-    CHARACTER(LEN=15) ::  bc_par_b     = 'reflect'                !< bottom boundary condition
     CHARACTER(LEN=15) ::  bc_par_t     = 'absorb'                 !< top boundary condition
     CHARACTER(LEN=15) ::  collision_kernel   = 'none'             !< collision kernel
@@ -296,12 +291,15 @@
     CHARACTER(LEN=25) ::  particle_advection_interpolation = 'trilinear' !< interpolation method for calculatin the particle
 
-    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step    
+    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step
     INTEGER(iwp) ::  i_splitting_mode                             !< dummy for splitting mode
+    INTEGER(iwp) ::  isf                                          !< dummy for splitting function
     INTEGER(iwp) ::  max_number_particles_per_gridbox = 100       !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  isf                                          !< dummy for splitting function
     INTEGER(iwp) ::  number_particles_per_gridbox = -1            !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface and first grid level
-    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need an offset
-    INTEGER(iwp) ::  offset_ocean_nzt_m1 = 0                      !< in case of oceans runs, the vertical index calculations need an offset
+    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface
+                                                                  !< and first grid level
+    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need
+                                                                  !< an offset
+    INTEGER(iwp) ::  offset_ocean_nzt_m1 = 0                      !< in case of oceans runs, the vertical index calculations need
+                                                                  !< an offset
     INTEGER(iwp) ::  particles_per_point = 1                      !< namelist parameter (see documentation)
     INTEGER(iwp) ::  radius_classes = 20                          !< namelist parameter (see documentation)
@@ -310,19 +308,22 @@
     INTEGER(iwp) ::  step_dealloc = 100                           !< namelist parameter (see documentation)
     INTEGER(iwp) ::  total_number_of_particles                    !< total number of particles in the whole model domain
+    INTEGER(iwp) ::  trlp_count_recv_sum                          !< parameter for particle exchange of PEs
     INTEGER(iwp) ::  trlp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trlp_count_recv_sum                          !< parameter for particle exchange of PEs
+    INTEGER(iwp) ::  trrp_count_recv_sum                          !< parameter for particle exchange of PEs
     INTEGER(iwp) ::  trrp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trrp_count_recv_sum                          !< parameter for particle exchange of PEs
+    INTEGER(iwp) ::  trsp_count_recv_sum                          !< parameter for particle exchange of PEs
     INTEGER(iwp) ::  trsp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trsp_count_recv_sum                          !< parameter for particle exchange of PEs
+    INTEGER(iwp) ::  trnp_count_recv_sum                          !< parameter for particle exchange of PEs
     INTEGER(iwp) ::  trnp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trnp_count_recv_sum                          !< parameter for particle exchange of PEs
 
     INTEGER(isp), DIMENSION(:,:,:), ALLOCATABLE ::  seq_random_array_particles   !< sequence of random array for particle
 
-    LOGICAL ::  lagrangian_particle_model = .FALSE.       !< namelist parameter (see documentation) 
     LOGICAL ::  curvature_solution_effects = .FALSE.      !< namelist parameter (see documentation)
     LOGICAL ::  deallocate_memory = .TRUE.                !< namelist parameter (see documentation)
     LOGICAL ::  hall_kernel = .FALSE.                     !< flag for collision kernel
+    LOGICAL ::  interpolation_simple_corrector = .FALSE.  !< flag for simple particle advection interpolation with corrector step
+    LOGICAL ::  interpolation_simple_predictor = .FALSE.  !< flag for simple particle advection interpolation with predictor step
+    LOGICAL ::  interpolation_trilinear = .FALSE.         !< flag for trilinear particle advection interpolation
+    LOGICAL ::  lagrangian_particle_model = .FALSE.       !< namelist parameter (see documentation)
     LOGICAL ::  merging = .FALSE.                         !< namelist parameter (see documentation)
     LOGICAL ::  random_start_position = .FALSE.           !< namelist parameter (see documentation)
@@ -332,9 +333,7 @@
     LOGICAL ::  use_kernel_tables = .FALSE.               !< parameter, which turns on the use of precalculated collision kernels
     LOGICAL ::  write_particle_statistics = .FALSE.       !< namelist parameter (see documentation)
-    LOGICAL ::  interpolation_simple_predictor = .FALSE.  !< flag for simple particle advection interpolation with predictor step
-    LOGICAL ::  interpolation_simple_corrector = .FALSE.  !< flag for simple particle advection interpolation with corrector step
-    LOGICAL ::  interpolation_trilinear = .FALSE.         !< flag for trilinear particle advection interpolation
-
-    LOGICAL, DIMENSION(max_number_of_particle_groups) ::   vertical_particle_advection = .TRUE. !< Switch for vertical particle transport
+
+    LOGICAL, DIMENSION(max_number_of_particle_groups) ::   vertical_particle_advection = .TRUE.  !< Switch for vertical particle
+                                                                                                 !< transport
 
     REAL(wp) ::  aero_weight = 1.0_wp                      !< namelist parameter (see documentation)
@@ -342,4 +341,5 @@
     REAL(wp) ::  dt_prel = 9999999.9_wp                    !< namelist parameter (see documentation)
     REAL(wp) ::  dt_write_particle_data = 9999999.9_wp     !< namelist parameter (see documentation)
+    REAL(wp) ::  epsilon_collision                         !<
     REAL(wp) ::  end_time_prel = 9999999.9_wp              !< namelist parameter (see documentation)
     REAL(wp) ::  initial_weighting_factor = 1.0_wp         !< namelist parameter (see documentation)
@@ -350,15 +350,13 @@
     REAL(wp) ::  radius_merge = 1.0E-7_wp                  !< namelist parameter (see documentation)
     REAL(wp) ::  radius_split = 40.0E-6_wp                 !< namelist parameter (see documentation)
+    REAL(wp) ::  rclass_lbound                             !<
+    REAL(wp) ::  rclass_ubound                             !<
     REAL(wp) ::  rm(3) = 1.0E-6_wp                         !< namelist parameter (see documentation)
     REAL(wp) ::  sgs_wf_part                               !< parameter for sgs
     REAL(wp) ::  time_write_particle_data = 0.0_wp         !< write particle data at current time on file
+    REAL(wp) ::  urms                                      !<
     REAL(wp) ::  weight_factor_merge = -1.0_wp             !< namelist parameter (see documentation)
     REAL(wp) ::  weight_factor_split = -1.0_wp             !< namelist parameter (see documentation)
     REAL(wp) ::  z0_av_global                              !< horizontal mean value of z0
-
-    REAL(wp) ::  rclass_lbound !<
-    REAL(wp) ::  rclass_ubound !<
-
-    REAL(wp), PARAMETER ::  c_0 = 3.0_wp         !< parameter for lagrangian timescale
 
     REAL(wp), DIMENSION(max_number_of_particle_groups) ::  density_ratio = 9999999.9_wp  !< namelist parameter (see documentation)
@@ -376,6 +374,4 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE     ::  log_z_z0   !< Precalculate LOG(z/z0)
 
-    INTEGER(iwp), PARAMETER ::  NR_2_direction_move = 10000 !<
-
 #if defined( __parallel )
     INTEGER(iwp)            ::  nr_move_north               !<
@@ -385,7 +381,4 @@
     TYPE(particle_type), DIMENSION(:), ALLOCATABLE ::  move_also_south
 #endif
-
-    REAL(wp) ::  epsilon_collision !<
-    REAL(wp) ::  urms              !<
 
     REAL(wp), DIMENSION(:),   ALLOCATABLE ::  epsclass  !< dissipation rate class
@@ -404,24 +397,20 @@
     REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  w_t   !< w value of old timelevel t
 
-
-    INTEGER(iwp), PARAMETER         ::  PHASE_INIT    = 1  !<
-    INTEGER(iwp), PARAMETER, PUBLIC ::  PHASE_RELEASE = 2  !<
-
     SAVE
 
     PRIVATE
 
-    PUBLIC lpm_parin,     &
-           lpm_header,    &
-           lpm_init_arrays,&
-           lpm_init,      &
-           lpm_actions,   &
-           lpm_data_output_ptseries, &
-           lpm_interaction_droplets_ptq, &
-           lpm_rrd_local_particles, &
-           lpm_wrd_local, &
-           lpm_rrd_global, &
-           lpm_wrd_global, &
-           lpm_rrd_local, &
+    PUBLIC lpm_parin,                                                                              &
+           lpm_header,                                                                             &
+           lpm_init_arrays,                                                                        &
+           lpm_init,                                                                               &
+           lpm_actions,                                                                            &
+           lpm_data_output_ptseries,                                                               &
+           lpm_interaction_droplets_ptq,                                                           &
+           lpm_rrd_local_particles,                                                                &
+           lpm_wrd_local,                                                                          &
+           lpm_rrd_global,                                                                         &
+           lpm_wrd_global,                                                                         &
+           lpm_rrd_local,                                                                          &
            lpm_check_parameters
 
@@ -443,5 +432,5 @@
        MODULE PROCEDURE lpm_init_arrays
     END INTERFACE lpm_init_arrays
- 
+
     INTERFACE lpm_init
        MODULE PROCEDURE lpm_init
